<?
global $wp_filesystem;
$my_plugin = 'wp-photocontest';
$plugin_dir = trailingslashit(WP_PLUGIN_DIR . '/' . $my_plugin);
require_once($plugin_dir.'lib/debug.func.php');
require_once($plugin_dir.'wp-photocontest-config.php');

$my_plugin_files = get_plugin_files($my_plugin .'/wp-photocontest.php');

if(count($my_plugin_files)>1 )
{
	if ( ! is_object($wp_filesystem) )
		//return new WP_Error('fs_unavailable', __('Could not access filesystem.'));
		die(__('Could not access filesystem.'));
	
	if ( is_wp_error($wp_filesystem->errors) && $wp_filesystem->errors->get_error_code() )
		die(__('Filesystem error'));
	
	$errors = array();
	
	foreach( $my_plugin_files as $plugin_file ) {
		// Run Uninstall hook
		if (!ereg(CONTESTS_PATH,$plugin_file))
		{
			if (!ereg('skins',$plugin_file))
			{
				$deleted = $wp_filesystem->delete(WP_PLUGIN_DIR . '/' .  $plugin_file, true);
				if ( ! $deleted )
				{
					$errors[] = WP_PLUGIN_DIR . '/' . $plugin_file;			
				}
				$result[] = WP_PLUGIN_DIR . '/' . $plugin_file.": ".$deleted;
			}
		}
	}
	if ( count($errors) >0)
	{
		return new WP_Error('could_not_remove_plugin', sprintf(__('Could not fully remove the plugin(s) %s'), implode(', ', $errors)) );
	}
}

delete_option( "PC_DB_VERSION" );
delete_option( "PC_PL_VERSION" );
	
		
?>