<?php
/*
Plugin Name: WP-PhotoContest
Plugin URI: http://www.vanderstad.nl/wordpress/plugins/wp-photocontest
Description: Adds a photo contest to your post or page. Note: Backup you 'CONTEST_FOLDER' and 'skins'-directories when using auto_upgrade!
Version: 1.2.3.1
Author: Frank van der Stad
Author URI: http://www.vanderstad.nl/wordpress/
Text Domain: wp-photocontest
Year: 2009
Last Translator: Frank van der Stad <frank@vanderstad.nl>
Language Team: Frank van der Stad <frank@vanderstad.nl>
*/

/*  
    WP PhotoContest: Adds a photo contest to Wordpress
    Copyright (C) 2009  Frank van der Stad

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/*
+----------------------------------------------------------------+
|																 |
|	WordPress 2.8 Plugin: WP-PhotoContest 1.0                    |
|	Copyright (c) 2009 Frank van der Stad						 |
|																 |
|	File Written By:											 |
|	- Frank van der Stad										 |
|	- http://www.vanderstad.nl/wp-photocontest									 |
|																 |
|	File Information:											 |
|	- Add PhotoContest											 |
|	- wp-content/plugins/wp-photocontest/wp-photocontest.php	 |
|																 |
+----------------------------------------------------------------+
*/

require_once(dirname(__FILE__).'/wp-photocontest-config.php');

if (DEBUG_FLAG == 1)
{
	error_reporting(E_ALL);
	if (!ini_get("display_errors") || ini_get("display_errors")==0)
	{
		ini_set("display_errors", 1);
	} 
}

### Add the lib classes
require_once(dirname(__FILE__).'/lib/debug.func.php');
require_once(dirname(__FILE__).'/lib/wp-photocontest.functions.php');

### Function: PhotoContest Administration Menu
register_activation_hook(__FILE__, 'photocontest_install');
//register_deactivation_hook(__FILE__, 'photocontest_deinstall');

add_action('admin_menu', 'photocontest_sub_menu');
add_action('admin_init', 'photocontest_scripts_and_styles');
add_action('init', 'photocontest_textdomain');


?>
